> For the complete documentation index, see [llms.txt](https://docs.giro.tech/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.giro.tech/desenvolvedores/api-gtfgts/api-reference/operacoes-fgts/acompanhar-resultado.md).

# Acompanhar resultado

Toda operação submetida retorna um `requestId`. Use-o para **acompanhar o desfecho** por polling, como alternativa ou reconciliação do [webhook](https://docs.giro.tech/desenvolvedores/api-gtfgts/webhooks/payloads.md) (caminho preferido). O polling retorna o `status` atual da operação — de `QUEUED` até um estado terminal (`COMPLETED`, `FAILED`, `FAILED_NEEDS_MANUAL`, `EXPIRED` ou `CANCELLED`) — e, ao concluir, o `result` ou o `error`. Quando usar webhook e quando usar polling está em [Fluxo assíncrono e polling](https://docs.giro.tech/desenvolvedores/api-gtfgts/guias/fluxo-assincrono-e-polling.md).

## Acompanhamento

* [Consultar Status da Operação](https://docs.giro.tech/desenvolvedores/api-gtfgts/api-reference/operacoes-fgts/acompanhar-resultado/consultar-status-operacao.md) — `GET /api/v1/fgts/operations/{requestId}`

{% embed url="<https://giro.tech/central-de-atendimento/>" %}
